import { OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Store } from '@ngxs/store';
import { Node } from '../../states/file-browser.model';
import { FileBrowserList } from '../../services/file-browser-list.service';
export declare class FileBrowserTreeComponent implements OnInit {
    store: Store;
    fileBrowserList: FileBrowserList;
    nodes$: Observable<Node>;
    constructor(store: Store, fileBrowserList: FileBrowserList);
    ngOnInit(): void;
    toggleFolder(node: any): void;
}
